Create Vendor

The Create Vendor request enables you to set up a new vendor that will be associated with your marketplace. Use this request to submit the vendor's KYC information, their banking information, the agreed-upon commission split, etc.

❗️

The previous payoutInfo object used in this request has been deprecated and replaced with payoutConfiguration to support regional payout. You must update your requests per the structure detailed below.

If you call this API with payoutInfo or if the merchant is not configured for regional payout, an error will be returned.

Important: Vendor verification requirements

  • Initially, you do not need all your vendor's information to submit the request to immediately begin processing transactions; however, to fully board your vendor, you must collect all the necessary Know Your Customer (KYC), banking, and any additional required information from them, and submit to BlueSnap for verification.
  • In addition, to be eligible for payout, the vendor must meet vendor verification requirements.

Request Content

vendor container    required, contains the following properties (see vendor):

PropertyTypeRequired
addressstringoptional
citystringoptional
countrystringrequired
emailstringrequired
firstNamestringoptional
lastNamestringoptional
namestringoptional
payoutConfigurationcontainerOptional. Inherits BlueSnap merchant’s payout bank settings by default. (See payoutConfiguration)
phonestringoptional
ipnUrlstringoptional
statestringOptional. Applicable if country = US or CA (See State and Province Codes)
taxIdstringoptional
termsOfServicecontainerrequired; (see termsOfService)
vatIdstringoptional
vendorAgreementcontaineroptional; (see vendorAgreement)
vendorPrincipalcontaineroptional; (see vendorPrincipal)
vendorUrlstringoptional
zipstringoptional

Response Details

If successful, the response HTTP status code is 201 Created.
The response header contains the vendorId.
The vendorId is required for all future transactions associated with this vendor.

Examples

Request Examples

curl -v -X POST https://sandbox.bluesnap.com/services/2/vendors \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "email": "[email protected]",
  "firstName": "Joe",
  "lastName": "Smith",
  "phone": "1-123-456-7890",
  "address": "123 Main Street",
  "city": "Boston",
  "country": "US",
  "state": "MA",
  "zip": "02453",
  "vendorPrincipal": {
    "firstName": "Joe",
    "lastName": "Smith",
    "address": "123 Main Street",
    "city": "Boston",
    "country": "US",
    "zip": "02453",
    "dob": "28-09-9999",
    "personalIdentificationNumber": "1234",
    "driverLicenseNumber": "561196411",
    "email": "[email protected]"
  },
  "vendorAgreement": {
    "commissionPercent": 30
  },
  "termsOfService": {
    "acceptedDate": "18-02-2026",
    "vendorIp": "123.65.45.32"
  },
  "payoutConfiguration": {
    "reviewDelay": 15,
    "payoutFrequency": "MONTHLY",
    "defaultLegalEntity": "US",
    "regions": [
      {
        "region": "US",
        "defaultCurrency": "USD",
        "currencyByRegion": [
          {
            "currencyCode": "USD",
            "payoutPaymentType": "ACH",
            "minimumPaymentAmount": 25,
            "bankDetails": [
              {
                "country": "US",
                "state": "MA",
                "city": "Juneau",
                "address1": "1 bank address",
                "zipCode": "02453",
                "paymentReference": "payout for vendor 1234",
                "bankId": "123456789",
                "bankName": "Leumi",
                "accountId": "36628822",
                "nameOnAccount": "vendor",
                "achAccountClass": "PERSONAL",
                "achAccountType": "CHECKING"
              }
            ]
          }
        ]
      }
    ]
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/vendors \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "name": "Business ABC",
  "email": "[email protected]",
  "phone": "1-123-455-8765",
  "address": "25 Business Avenue",
  "city": "Boston",
  "country": "US",
  "state": "MA",
  "zip": "02453",
  "taxId": "123456789",
  "vendorUrl": "http://mycompany.com",
  "ipnUrl": "https://ipnaddress.com",
  "vendorPrincipal": {
    "firstName": "Joe",
    "lastName": "Smith",
    "address": "123 Main Street",
    "city": "Boston",
    "country": "US",
    "zip": "12345",
    "dob": "28-09-9999",
    "personalIdentificationNumber": "1234",
    "driverLicenseNumber": "561196411",
    "email": "[email protected]"
  },
  "vendorAgreement": {
    "commissionPercent": 30
  },
  "termsOfService": {
    "acceptedDate": "18-02-2026",
    "vendorIp": "123.65.45.32"
  },
  "payoutConfiguration": {
    "reviewDelay": 15,
    "payoutFrequency": "MONTHLY",
    "defaultLegalEntity": "US",
    "regions": [
      {
        "region": "US",
        "defaultCurrency": "USD",
        "currencyByRegion": [
          {
            "currencyCode": "USD",
            "payoutPaymentType": "ACH",
            "minimumPaymentAmount": 50,
            "reserve": {
              "merchantReserve": {
                "keepOnMerchantReserve": 200
              }
            },
            "bankDetails": [
              {
                "country": "US",
                "state": "MA",
                "city": "Boston",
                "address1": "1 bank address",
                "zipCode": "02453",
                "paymentReference": "payout for vendor 1234",
                "bankId": "123456789",
                "bankName": "Bank of America",
                "accountId": "36628822",
                "nameOnAccount": "name of vendor account",
                "achAccountClass": "CORPORATE",
                "achAccountType": "CHECKING"
              }
            ]
          }
        ]
      }
    ]
  }
}'
curl -v -X POST https://sandbox.bluesnap.com/services/2/vendors \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "email": "[email protected]",
  "firstName": "Joe",
  "lastName": "Smith",
  "phone": "1-123-456-7890",
  "address": "123 Main Street",
  "city": "Boston",
  "country": "US",
  "state": "MA",
  "zip": "02453",
  "ipnUrl": "https://ipnaddress.com",
  "vendorPrincipal": {
    "firstName": "Joe",
    "lastName": "Smith",
    "address": "123 Main Street",
    "city": "Boston",
    "country": "US",
    "zip": "123456",
    "dob": "28-09-9999",
    "personalIdentificationNumber": "1234",
    "driverLicenseNumber": "561196411",
    "email": "[email protected]"
  },
  "vendorAgreement": {
    "commissionPercent": 30
  },
  "termsOfService": {
    "acceptedDate": "18-02-2026",
    "vendorIp": "123.65.45.32"
  },
  "payoutConfiguration": {
    "reviewDelay": 15,
    "payoutFrequency": "MONTHLY",
    "defaultLegalEntity": "US",
    "regions": [
      {
        "region": "US",
        "defaultCurrency": "USD",
        "currencyByRegion": [
          {
            "currencyCode": "USD",
            "payoutPaymentType": "ACH",
            "minimumPaymentAmount": 35,
            "reserve": {
              "merchantReserve": {
                "keepOnMerchantReserve": 200
              }
            },
            "bankDetails": [
              {
                "country": "US",
                "state": "MA",
                "city": "Juneau",
                "address1": "1 bank address",
                "zipCode": "02453",
                "paymentReference": "Payment for vendor 1234",
                "bankId": "123456789",
                "bankName": "Leumi",
                "accountId": "36628822",
                "nameOnAccount": "vendor",
                "achAccountClass": "PERSONAL",
                "achAccountType": "CHECKING"
              }
            ]
          }
        ]
      },
      {
        "region": "UK",
        "defaultCurrency": "GBP",
        "currencyByRegion": [
          {
            "currencyCode": "GBP",
            "status": "A",
            "payoutPaymentType": "WIRE",
            "minimumPaymentAmount": 55,
            "reserve": {
              "merchantReserve": {
                "keepOnMerchantReserve": 60
              }
            },
            "bankDetails": [
              {
                "country": "UK",
                "city": "Memphis",
                "zipCode": "87458",
                "paymentReference": "my payment reference",
                "bankId": "026009593",
                "bankName": "Bank of UK",
                "accountId": "89659854",
                "nameOnAccount": "FedEx Cross Border Logistics, Inc."
              }
            ]
          },
          {
            "currencyCode": "EUR",
            "status": "A",
            "payoutPaymentType": "WIRE",
            "minimumPaymentAmount": 40,
            "reserve": {
              "merchantReserve": {
                "keepOnMerchantReserve": 0
              }
            }
          }
        ]
      }
    ]
  }
}'

Response Examples

HTTP/ 1.1 201 Created
Location: https://sandbox.bluesnap.com/services/2/vendors/19575974

API Explorer


Body Params
string
required
Defaults to [email protected]
string
Defaults to Joe
string
Defaults to Smith
string
Defaults to 1-123-456-7890
string
Defaults to 123 Main Street
string
Defaults to Boston
string
required
Defaults to US
string
Defaults to MA
string
Defaults to 02453
string
Defaults to https://ipnaddress.com
vendorPrincipal
object
vendorAgreement
object
termsOfService
object
required
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!